Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.util
Class WSDLDiagnosticImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.wst.wsdl.util.WSDLDiagnosticImpl

All Implemented Interfaces:
  WSDLDiagnostic

    public class WSDLDiagnosticImpl

extends EObjectImpl
implements WSDLDiagnostic

Default implementation of the WSDLDiagnostic interface. This class is based on XSDDiagnosticImpl

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`WSDLDiagnosticImpl()` Default constructor.
`WSDLDiagnosticImpl(org.eclipse.xsd.XSDDiagnostic xsdDiagnostic)` Wraps an XSD diagnostic into a WSDL diagnostic.

Method Summary
`int` | `getColumn()`
`java.lang.Object` | `getContainer()` returns the Element where the error occurs
`java.lang.String` | `getKey()` Gets the original message key.
`int` | `getLine()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getMessage()`
`org.w3c.dom.Node` | `getNode()` Gets the DOM Node where the error occurs
`WSDLDiagnosticSeverity` | `getSeverity()` Provides this diagnostic's severity.
`EList` | `getSubstitutions()` Returns a list with the original message parameters as Strings.
`void` | `setColumn(int newColumn)` Sets the new value of the column attribute.
`void` | `setContainer(java.lang.Object container)` Sets the Container of the error
`void` | `setKey(java.lang.String value)` Sets the original message key.
`void` | `setLine(int newLine)`
`void` | `setLocation(java.lang.String location)` Sets the value of the loaction attribute.
`void` | `setMessage(java.lang.String newMessage)` Sets a new value for the message attribute.
`void` | `setNode(org.w3c.dom.Node node)` Sets the DOM Node where the error occurs
`void` | `setSeverity(WSDLDiagnosticSeverity newSeverity)` Sets this diagnostic's severity.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLDiagnosticImpl

    public WSDLDiagnosticImpl()

  Default constructor.

### WSDLDiagnosticImpl

    public WSDLDiagnosticImpl(org.eclipse.xsd.XSDDiagnostic xsdDiagnostic)

  Wraps an XSD diagnostic into a WSDL diagnostic. Used to report problems in inline schemas.

  Parameters:
    `xsdDiagnostic` - the XSD diagnostic object to wrap. Must not be null.

Method Detail

### getColumn

    public int getColumn()

### getLine

    public int getLine()

### getLocation

    public java.lang.String getLocation()

### getMessage

    public java.lang.String getMessage()

### getSeverity

    public WSDLDiagnosticSeverity getSeverity()

  Description copied from interface: `WSDLDiagnostic`
  Provides this diagnostic's severity.

  Specified by:
    `getSeverity` in interface `WSDLDiagnostic`
  Returns:
    an XSDDiagnosticSeverity

### setColumn

    public void setColumn(int newColumn)

  Sets the new value of the column attribute.

  Parameters:
    `newColumn` - the new column value.

### setLine

    public void setLine(int newLine)

### setLocation

    public void setLocation(java.lang.String location)

  Sets the value of the loaction attribute.

  Parameters:
    `location` - a String with the new value for the location attribute

### setMessage

    public void setMessage(java.lang.String newMessage)

  Sets a new value for the message attribute.

  Parameters:
    `newMessage` - a String with the new message.

### setSeverity

    public void setSeverity(WSDLDiagnosticSeverity newSeverity)

  Description copied from interface: `WSDLDiagnostic`
  Sets this diagnostic's severity.

  Specified by:
    `setSeverity` in interface `WSDLDiagnostic`
  Parameters:
    `newSeverity` - the new diagnostic severity.

### getKey

    public java.lang.String getKey()

  Description copied from interface: `WSDLDiagnostic`
  Gets the original message key.

  Specified by:
    `getKey` in interface `WSDLDiagnostic`
  Returns:
    a String with the original message key.

### setKey

    public void setKey(java.lang.String value)

  Description copied from interface: `WSDLDiagnostic`
  Sets the original message key.

  Specified by:
    `setKey` in interface `WSDLDiagnostic`
  Parameters:
    `value` - the new message key value.

### getSubstitutions

    public EList getSubstitutions()

  Description copied from interface: `WSDLDiagnostic`
  Returns a list with the original message parameters as Strings.

  Specified by:
    `getSubstitutions` in interface `WSDLDiagnostic`
  Returns:
    a list with the original message parameters as Strings.

### getNode

    public org.w3c.dom.Node getNode()

  Description copied from interface: `WSDLDiagnostic`
  Gets the DOM Node where the error occurs

  Specified by:
    `getNode` in interface `WSDLDiagnostic`
  Returns:
    The DOM node where the error occurs

### setNode

    public void setNode(org.w3c.dom.Node node)

  Description copied from interface: `WSDLDiagnostic`
  Sets the DOM Node where the error occurs

  Specified by:
    `setNode` in interface `WSDLDiagnostic`

### getContainer

    public java.lang.Object getContainer()

  Description copied from interface: `WSDLDiagnostic`
  returns the Element where the error occurs

  Specified by:
    `getContainer` in interface `WSDLDiagnostic`
  Returns:
    - Object of type XSDConcreteComponent if the error comes from the inline schema of a wsdl file - object of type WSDLElement if the error comes from other part of the wsdl file

### setContainer

    public void setContainer(java.lang.Object container)

  Description copied from interface: `WSDLDiagnostic`
  Sets the Container of the error

  Specified by:
    `setContainer` in interface `WSDLDiagnostic`
  Parameters:
    `container` - an Object of either XSDConcreteComponent or WSDLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD